package com.ruoyi.project.production.service;

import java.util.List;
import com.ruoyi.project.production.domain.TFivesFile;

/**
 * 5s管理附件Service接口
 * 
 * @author ruoyi
 * @date 2023-03-30
 */
public interface ITFivesFileService 
{
    /**
     * 查询5s管理附件
     * 
     * @param id 5s管理附件ID
     * @return 5s管理附件
     */
    public TFivesFile selectTFivesFileById(Long id);

    /**
     * 查询5s管理附件列表
     * 
     * @param tFivesFile 5s管理附件
     * @return 5s管理附件集合
     */
    public List<TFivesFile> selectTFivesFileList(TFivesFile tFivesFile);

    /**
     * 新增5s管理附件
     * 
     * @param tFivesFile 5s管理附件
     * @return 结果
     */
    public int insertTFivesFile(TFivesFile tFivesFile);

    /**
     * 修改5s管理附件
     * 
     * @param tFivesFile 5s管理附件
     * @return 结果
     */
    public int updateTFivesFile(TFivesFile tFivesFile);

    /**
     * 批量删除5s管理附件
     * 
     * @param ids 需要删除的5s管理附件ID
     * @return 结果
     */
    public int deleteTFivesFileByIds(Long[] ids);

    /**
     * 删除5s管理附件信息
     * 
     * @param id 5s管理附件ID
     * @return 结果
     */
    public int deleteTFivesFileById(Long id);
}
